{modulesPath, ...}: {
  imports = [
    "${modulesPath}/profiles/qemu-guest.nix"
  ];

  system.stateVersion = "24.11";

  networking.hostName = "m3-hermes";

  services.cloud-init = {
    enable = true;
    network.enable = true;
    settings = {
      system_info.distro = "nixos";
      datasource_list = ["NoCloud" "ConfigDrive"];
    };
  };

  users.users.root.initialPassword = "nixos";

  services.openssh = {
    enable = true;
    settings = {
      PermitRootLogin = "prohibit-password";
      PasswordAuthentication = false;
    };
  };

  networking = {
    useDHCP = false;
    useNetworkd = true;
    firewall.enable = true;
  };

  systemd.network.enable = true;

  console.keyMap = "us";

  # Bootloader
  boot.loader.grub.enable = true;
  boot.loader.grub.device = "/dev/sda";

  # Enable QEMU guest agent
  services.qemuGuest.enable = true;
}
